# std::experimental::basic_string_view::find_first_not_of

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr size_type find_first_not_of(basic_string_view v, size_type pos = 0) const; | (1) | (library fundamentals TS)
constexpr size_type find_first_not_of(CharT c, size_type pos = 0) const; | (2) | (library fundamentals TS)
constexpr size_type find_first_not_of(const CharT* s, size_type pos, size_type count) const; | (3) | (library fundamentals TS)
constexpr size_type find_first_not_of(const CharT* s, size_type pos = 0) const; | (4) | (library fundamentals TS)

Finds the first character not equal to any of the characters in the given character sequence.

1) Finds the first character not equal to any of the characters of `v` in this view, starting at position `pos`.
2) Equivalent to find_first_not_of(basic_string_view(&c, 1), pos).
3) Equivalent to find_first_not_of(basic_string_view(s, count), pos).
4) Equivalent to find_first_not_of(basic_string_view(s), pos).

### Parameters

v | - | view to search for
pos | - | position at which to start the search
count | - | length of the string of characters to compare
s | - | pointer to a string of characters to compare
ch | - | character to compare

### Return value

Position of the first character not equal to any of the characters in the given string, or npos if no such character is found.

### Exceptions

1-2)
`noexcept` specification:
noexcept

### Complexity

O(`size()` * `v.size()`) at worst.

### See also

find | find characters in the view (public member function)
rfind | find the last occurrence of a substring (public member function)
find_first_of | find first occurrence of characters (public member function)
find_last_of | find last occurrence of characters (public member function)
find_last_not_of | find last absence of characters (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/find_first_not_of&oldid=91524"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template